<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.ToiletAirqualityMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.ToiletAirquality">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="airmac" property="airmac" />
        <result column="soft_delete" property="softDelete" />
        <result column="temp" property="temp" />
        <result column="temp_check" property="tempCheck" />
        <result column="hum" property="hum" />
        <result column="hum_check" property="humCheck" />
        <result column="pm2d5" property="pm2d5" />
        <result column="pm2d5_check" property="pm2d5Check" />
        <result column="ammonia" property="ammonia" />
        <result column="ammonia_check" property="ammoniaCheck" />
        <result column="hydrogensulfide" property="hydrogensulfide" />
        <result column="hydrogensulfide_check" property="hydrogensulfideCheck" />
        <result column="pm10" property="pm10" />
        <result column="pm10_check" property="pm10Check" />
        <result column="pm1d0" property="pm1d0" />
        <result column="pm1d0_check" property="pm1d0Check" />
        <result column="co2" property="co2" />
        <result column="co2_check" property="co2Check" />
        <result column="tvoc" property="tvoc" />
        <result column="tvoc_check" property="tvocCheck" />
        <result column="toilet_id" property="toiletId" />
        <result column="position_id" property="positionId" />
        <result column="state" property="state" />
        <result column="run_state" property="runState" />
        <result column="h5_model_id" property="h5ModelId" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="building_id" property="buildingId" />
        <result column="floor" property="floor" />
        <result column="install_position" property="installPosition" />
        <result column="formaldehyde" property="formaldehyde" />
        <result column="formaldehyde_check" property="formaldehydeCheck" />
        <result column="productKey" property="productKey" />
        <result column="factory_type" property="factoryType" />
        <result column="check_code" property="checkCode" />
        <result column="hardware" property="hardware" />
        <result column="firmware" property="firmware" />
        <result column="protocol" property="protocol" />
        <result column="up_interval" property="upInterval" />
        <result column="imsi" property="imsi" />
        <result column="signal_value" property="signalValue" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="online_state" property="onlineState" />
        <result column="online_time" property="onlineTime" />
        <result column="smoke_check" property="smokeCheck" />
        <result column="odour_check" property="odourCheck" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, airmac, soft_delete, temp, temp_check, hum, hum_check, pm2d5, pm2d5_check, ammonia, ammonia_check, hydrogensulfide, hydrogensulfide_check, pm10, pm10_check, pm1d0, pm1d0_check, co2, co2_check, tvoc, tvoc_check, toilet_id, position_id, state, run_state, h5_model_id, agent_id, property_id, district_id, building_id, floor, install_position, formaldehyde, formaldehyde_check, productKey, factory_type, check_code, hardware, firmware, protocol, up_interval, imsi, signal_value, longitude, latitude, online_state, online_time, smoke_check, odour_check
    </sql>

</mapper>
